Nanosleep Trac Git插件远程命令注入漏洞

QQ空间 新浪微博 微信 QQ facebook twitter
漏洞ID 1180451 漏洞类型 输入验证
发布时间 2010-02-03 更新时间 2010-02-03
CVE编号 CVE-2010-0394 CNNVD-ID CNNVD-201002-105
漏洞平台 N/A CVSS评分 6.8
|漏洞来源
https://www.securityfocus.com/bid/38076
http://www.cnnvd.org.cn/web/xxk/ldxqById.tag?CNNVD=CNNVD-201002-105
|漏洞详情
在DebianGNU/Linux平台上,存在远程命令注入漏洞。当Trac被启用时,TracGit插件的PyGIT.py脚本存在代码执行漏洞。远程攻击者可以借助能够产生某个git命令的特制HTTP请求的shell字符匹配,来执行任意命令。
|受影响的产品
Trac Git Plugin Trac Git Plugin 0.0.20080710 Debian Linux 5.0 sparc Debian Linux 5.0 s/390 Debian Linux 5.0 powerpc Debian Linux 5.0 mipsel Debian Linux 5.0 mips
|参考资料

来源:XF
名称:tracgit-command-execution(56105)
链接:http://xforce.iss.net/xforce/xfdb/56105
来源:BID
名称:38076
链接:http://www.securityfocus.com/bid/38076
来源:DEBIAN
名称:DSA-1990
链接:http://www.debian.org/security/2010/dsa-1990
来源:SECUNIA
名称:38325
链接:http://secunia.com/advisories/38325
来源:OSVDB
名称:62147
链接:http://osvdb.org/62147
来源:bugs.debian.org
链接:http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=567039